Page MenuHomeFreeBSD

Update mail/dovecot and mail/dovecot-pigeonhole
AbandonedPublic

Authored by otis on Aug 6 2021, 12:47 PM.

Details

Reviewers
ler
koobs
Summary

mail: Update dovecot, dovecot-piigeonhole

  1. Update mail/dovecot to 2.3.16

Changelog: https://dovecot.org/pipermail/dovecot-news/2021-August/000463.html)

  1. Update mail/dovecot-pigeonhole to 0.5.16

Changelog: https://dovecot.org/pipermail/dovecot-news/2021-August/000464.html)

Test Plan
  • portlint, portclippy, portfmt passed
  • testport passed on stable/13

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 40918
Build 37807: arc lint + arc unit

Event Timeline

otis requested review of this revision.Aug 6 2021, 12:47 PM
otis retitled this revision from - Update dovecot to 2.3.16 - Update dovecot-pigeonhole to 0.5.16 to Dovecot update.Aug 6 2021, 12:48 PM
otis edited the summary of this revision. (Show Details)
otis added a reviewer: ler.
tcberner added inline comments.
mail/dovecot/Makefile
1

^ do you have the permission to remove it?

mail/dovecot/Makefile
1

It wasn't intended to be removed. My initial thought was to remove it as there were more bulk-removals of these lines, then I reverted it back but obviously I've made the diff from the wrong version.

  • mail/dovecot: Update to 2.3.16
  • mail/dovecot-pigeonhole: Update to 0.5.16

Format Summary like a well-formed commit log message, in this case two of them, and include QA in test plan section:

  • portlint:
  • testport:
  • ...

Including changelog URL's helps reviewers (and readers of commits) identify potentially other issues/things that need addressing (bugfix merging, security vuxml entries, etc)

  • mail/dovecot: Update to 2.3.16
  • mail/dovecot-pigeonhole: Update to 0.5.16
  • mail/dovecot-fts-xapian: Bump PORTREVISION
koobs retitled this revision from Dovecot update to Update Dovecot & Pigeonhole.Aug 9 2021, 12:39 AM
koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs added a reviewer: koobs.
koobs retitled this revision from Update Dovecot & Pigeonhole to Update Dovecot, Pigeonhole, fts-xapian.
koobs removed a subscriber: koobs.
mail/dovecot-fts-xapian/Makefile
7

Why was this change needed? Add to Summary

mail/dovecot/Makefile
36–37

Adding global scope *FLAGS can often subtly break other builds (for example, when disabling other external library dependencies, because they'll now always be found). Extra QA needed for this, especially for known flaky/complex deps like GSSAPI

Also, check to see if these can be scoped only to ssl, possibly with: --with-ssl=openssl (it may support a <path> argument)

Also, --with-ssl=openssl is hardcoded, im assuming this is OK for all values of USES=ssl (like libre, etc) ?

123–124

Was the order change here intended?

Question, are these the port changes logically related in some way, or need to be committed together, or just as a convenience in a single differential revision?

Question, are these the port changes logically related in some way, or need to be committed together, or just as a convenience in a single differential revision?

In ideal case, committed together. dovecot-pigeonhole and dovecot-fts-xapian must match dovecot.

otis retitled this revision from Update Dovecot, Pigeonhole, fts-xapian to Update mail/dovecot and mail/dovecot-pigeonhole.
mail/dovecot-fts-xapian/Makefile
7

Why was this change needed? Add to Summary

koobs requested changes to this revision.Aug 27 2021, 3:56 AM
koobs added inline comments.
mail/dovecot-fts-xapian/Makefile
7

This port needing a portrevision bump is not explained in the commit log messages Why is it needed?

Was a shared lib bumped? Is it needed to rebuild for other/compatibility reasons?

Add the 'why' to commit log message, along with the 'why' for the distname change (tarballs changed name upstream? something else?)

mail/fts-xapian: 

 Bump PORTREVISION: <why>
 Update DISTNAME: <why>
12

Add LICENSE_FILE if one is shipped in the DISTFILES

mail/dovecot/Makefile
36–37

...

73–78

Fix variable order (alpha) on these

82–83

C comes before U (order)

85–86

This changes the sort from alpha to not alpha

92–105

Fix the sort on these.

129

R before T

This revision now requires changes to proceed.Aug 27 2021, 3:56 AM

Overcome by events.